#!/bin/bash

echo -e "\033[31m开始部署 Oracle jdk1.8.0_221   \033[0m"
###下载 JDK到opt目录
cd /opt
wget http://8.210.81.239/linux/tomcat/jdk-8u221-linux-x64.tar.gz

###解压jdk
tar zxf jdk-8u221-linux-x64.tar.gz
#mv  jdk1.8.0_221_221   jdk1.8.0_221
###设置环境变量

java=`cat ~/.bashrc |grep JAVA_HOME |grep -v grep |wc -l `

if [ $java = 0 ];then

cat >> ~/.bashrc <<EOF
export JAVA_HOME=/opt/jdk1.8.0_221
export JRE_HOME=/opt/jdk1.8.0_221/jre
export PATH=\$PATH:/opt/jdk1.8.0_221/bin
export CLASSPATH=./:/opt/jdk1.8.0_221/lib:/opt/jdk1.8.0_221/jre/lib
EOF


update-alternatives --install /usr/bin/java java     /opt/jdk1.8.0_221/bin/java 300  
update-alternatives --install /usr/bin/javac javac   /opt/jdk1.8.0_221/bin/javac 300  
update-alternatives --install /usr/bin/jar jar       /opt/jdk1.8.0_221/bin/jar 300   
update-alternatives --install /usr/bin/javah javah   /opt/jdk1.8.0_221/bin/javah 300   
update-alternatives --install /usr/bin/javap javap   /opt/jdk1.8.0_221/bin/javap 300

source  ~/.bashrc
else
echo "Already have the jave environment"
fi 

rm -f  /opt/jdk-8u221-linux-x64.tar.gz

echo "install success"
update-alternatives --config java
echo -e "\033[31m部署 Oracle  jdk1.8.0_221  完成\033[0m"
### 参考文档:  ###
### https://developer.aliyun.com/article/704959 ###
